import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * The local variables for the set up of Level 1, Blue City
 * 
 * @Andrew I Letailleur
 * @013/03/2015, Version 2-03
 */
public class bCity extends Gameplay
{
    //class level attributes
    private byte mPlay = 1;
    /**
     * Constructor for objects of class bCity.
     */
    public bCity()
    {
        //local variables
        super();// Create a new world with the same variables as Gameplay
        setPaintOrder(Star.class);//just in case
        super.Clear(); //clears the score upon being called, just in case.
    }//end of method bCity
    /**
     * Inherits the same laws as Gameplay's Act, super class wise
     * In addition, will play the music if level's conditions are met (in this case, Game Over)
     */
    public void act()
    {
        //local variables
        super.act();//inherits Act clauses of Gameplay
        if( (super.player.getLives()<=0) && (mPlay == 1) ) {//checks for end condition to play the BGM
            mPlay = 0;
            play("sadAirhorn.wav", 0);
        }//endif BGM
    }//end of method act
}//end of class bCity