import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * The local variables for the set up of the last Level, Red Cave
 * 
 * @Andrew I Letailleur
 * @013/03/2015, Version 2-03
 */
public class rCave extends Gameplay
{
    //class level attributes
    private byte mPlay = 1;
    /**
     * Constructor for objects of class rCave.
     */
    public rCave(Star player)
    {    
        //local variables
        super(player);// Create a new world with the same variables as Gameplay, calling upon Star specialty
        setPaintOrder(Star.class);//just in case
    }
    /**
     * Inherits the same laws as Gameplay's Act, super class wise
     * In addition, will play the music if level's conditions are met (in this case, Game Over, and Endings)
     */
    public void act()
    {
        //local variables
        super.act();//inherits Act clauses of Gameplay
        if( (super.player.getLives() <= 0) && (mPlay == 1) ) {//plays the game over BGM if lives are at 0
            mPlay = 0;
            play("sadAirhorn.wav", 0);
            //} else if( (super.player.getLevel() >= 3) && (mPlay == 1) ) {//plays the Ending BGM if level is at 3
            //mPlay = 0;
            //if((super.player.getLives() >= 3))//will play 'Starman' theme for the golden ending
            //    play("StarGold.wav", 1600);
            //else//will play the standard ending theme if golden ending condition isn't met
            //    play("StarMenu.wav", 600);
        }//endif BGM
    }//end of method act
}//end of class rCave