import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * The local variables for the set up of level 2, Green Tree
 * 
 * @Andrew I Letailleur
 * @013/03/2015, Version 2-03
 */
public class gTree extends Gameplay
{
    //class level attributes
    private byte mPlay = 1;
    /**
     * Constructor for objects of class gTree.
     */
    public gTree(Star player)
    {
        //local variables
        super(player);// Create a new world with the same variables as Gameplay, calling upon Star specialty
        setPaintOrder(Star.class);//just in case
    }//end of method gTree
    /**
     * Inherits the same laws as Gameplay's Act, super class wise
     * In addition, will play the music if level's conditions are met (in this case, Game Over)
     */
    public void act()
    {
        //local variables
        super.act();//inherits Act clauses of Gameplay
        if( (super.player.getLives()<=0) && (mPlay == 1) ) {//checks for end condition to play the BGM
            mPlay = 0;
            play("sadAirhorn.wav", 0);
        }//endif BGM
    }//end of method act
}//end of class gTree